package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintHealthIndex;

public interface MaintHealthIndexDao extends Dao{
	List<MaintHealthIndex> getMaintHealthIndexsExceptThis(Integer legalEntityCode,String healthIndexCode);

	DataTableResponse getMaintHealthIndexs(Integer legalEntityCode, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	Boolean isMaintHealthIndex(Integer legalEntityCode);

	void deleteMaintHealthIndexs(Integer legalEntityCode, String statusUnauth);
	
	MaintHealthIndex getHealthIndexOnPercentage(Integer legalEntityCode, Integer riskScore);

	Boolean isHealthIndexCode(Integer legalEntityCode, String healthIndexCode);
}
